Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt

Use this file to discover all available pages before exploring further.

Model ID
bria-video-increase-resolution

Bria Video Increase Resolution API Usage Guide

Overview

Bria Video Increase Resolution is Bria’s new video editing model to increase resolution. It utilizes an input video to upscale it by a specified factor (2x or 4x) while maintaining visual quality. Increases to 8K at max.

Authentication

All API requests require authentication using an API key. Include your API key in the Authorization header:
Authorization: Bearer YOUR_API_KEY

Submit Video Generation Request

Base URL

https://console.gmicloud.ai

Endpoint

POST /api/v1/ie/requestqueue/apikey/requests

Request Format (cURL)

curl -X POST "https://console.gmicloud.ai/api/v1/ie/requestqueue/apikey/requests" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "bria-video-increase-resolution",
    "payload": {
      "video": "https://example.com/input_video.mp4",
      "preserve_audio": true,
      "desired_increase": "2",
      "output_container_and_codec": "mp4_h264"
    }
  }'

Request Parameters

ParameterTypeRequiredDescriptionDefaultConstraints
videostringYesInput video URL.-Max 60s; Maximum result resolution: 7680x4320 (8K). If the selected increase results in a greater resolution, the request will not be processed.
preserve_audiobooleanNoWhether to keep audio or not.true-
desired_increaseenumNoInteger scale factor for upscaling.”2""2” or “4”
output_container_and_codecenumNoFormat of the output video.mp4_h264See below.
Output Options: mp4_h264, mp4_h265, webm_vp9, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, gif.

Check Request Status

Endpoint

GET /api/v1/ie/requestqueue/apikey/requests/{request_id}

Example Response

\{
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "org_id": "bria",
  "model": "bria-video-increase-resolution",
  "status": "success",
  "payload": \{
    "video": "https://example.com/input_video.mp4",
    "preserve_audio": true,
    "desired_increase": "2"
  \},
  "outcome": \{
    "video_url": "https://storage.googleapis.com/bucket/generated-video.mp4"
  \},
  "created_at": 1750442925,
  "updated_at": 1750442930
\}

Request Status Values

StatusDescription
queuedRequest is waiting to be processed
processingVideo generation is in progress
successVideo generation completed successfully
failedVideo generation failed
cancelledRequest was cancelled